## org.apache.lucene.benchmark.quality.trec
Class TrecTopicsReader

    java.lang.Object
      org.apache.lucene.benchmark.quality.trec.TrecTopicsReader

    public class TrecTopicsReader

extends Object

Read TREC topics.

Expects this topic format -

       <top>
       <num> Number: nnn

       <title> title of the topic

       <desc> Description:
       description of the topic

       <narr> Narrative:
       "story" composed by assessors.

       </top>

Comment lines starting with '#' are ignored.

Constructor Summary
`TrecTopicsReader()` Constructor for Trec's TopicsReader

Method Summary
`QualityQuery[]` `readQueries(BufferedReader reader)` Read quality queries from trec format topics file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrecTopicsReader

    public TrecTopicsReader()

  Constructor for Trec's TopicsReader

Method Detail

### readQueries

    public QualityQuery[] readQueries(BufferedReader reader)
                               throws IOException

  Read quality queries from trec format topics file.

  Parameters:
    `reader` - where queries are read from.
  Returns:
    the result quality queries.
  Throws:
    `IOException` - if cannot read the queries.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.